

class StandaloneTreeSitterLibraryService {
    getParserClass() {
        throw ( new Error('getParserClass is not implemented in StandaloneTreeSitterLibraryService'));
    }
    supportsLanguage(languageId, reader) {
        return false;
    }
    getLanguage(languageId, reader) {
        return undefined;
    }
    getInjectionQueries(languageId, reader) {
        return null;
    }
    getHighlightingQueries(languageId, reader) {
        return null;
    }
}

export { StandaloneTreeSitterLibraryService };
